Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.model.helper
Class OWLBuilder.DescriptionComponent

    java.lang.Object
      |
      +--org.semanticweb.owl.model.helper.OWLBuilder.DescriptionComponent

All Implemented Interfaces:
  OWLBuilder.RestrictionComponent

Enclosing class:
  OWLBuilder

public static class OWLBuilder.DescriptionComponent
extends Object
implements OWLBuilder.RestrictionComponent

Encapsulates the properties of a description component.

Field Summary
`static int` | `ALL`
`static int` | `SOME`

Constructor Summary
`OWLBuilder.DescriptionComponent(OWLDescription description, int type)` Creates a new `DescriptionComponent` instance and sets its `description` and `type` properties.

Method Summary
`OWLDescription` | `getDescription()` Gets the `description` property.
`int` | `getType()` Gets the `type` property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALL

    public static final int ALL

See Also:
  Constant Field Values

### SOME

    public static final int SOME

See Also:
  Constant Field Values

Constructor Detail

### OWLBuilder.DescriptionComponent

    public OWLBuilder.DescriptionComponent(OWLDescription description,
                                           int type)

  Creates a new `DescriptionComponent` instance and sets its `description` and `type` properties.

Parameters:
  `type` - either `ALL` or `SOME`.

Method Detail

### getDescription

    public OWLDescription getDescription()

  Gets the `description` property.

  Returns:
    the `description` property.

### getType

    public int getType()

  Gets the `type` property.

  Returns:
    the `type` property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb